Activity log for bug #878516

Date Who What changed Old value New value Message
2011-10-19 21:23:37 Someone bug added bug
2011-10-24 17:54:09 Omer Akram bug task added compiz-plugins-main (Ubuntu)
2011-10-24 17:54:18 Omer Akram compiz-plugins-main (Ubuntu): status New Confirmed
2011-10-24 17:54:20 Omer Akram unity (Ubuntu): status New Confirmed
2011-10-24 17:54:34 Omer Akram bug task added unity
2011-10-24 17:55:08 Omer Akram unity: status New Incomplete
2011-10-24 17:55:11 Omer Akram unity: status Incomplete Confirmed
2011-10-24 17:55:13 Omer Akram compiz-plugins-main (Ubuntu): importance Undecided High
2011-10-24 17:55:21 Omer Akram compiz-plugins-main (Ubuntu): assignee Sam Spilsbury (smspillaz)
2011-10-24 17:55:24 Omer Akram compiz-plugins-main (Ubuntu): milestone oneiric-updates
2011-11-04 21:36:05 Carlos Andrés Rocha bug task added compiz-grid-plugin
2011-11-15 11:05:47 Didier Roche unity: milestone 4.26.0
2011-11-15 11:06:33 Didier Roche bug task added unity-distro-priority
2011-11-15 11:06:50 Didier Roche unity-distro-priority: status New Fix Committed
2011-11-16 19:50:56 Dr Belka unity-distro-priority: status Fix Committed Fix Released
2011-12-16 11:59:53 David Barth unity: milestone 4.26.0 4.28.0
2012-01-05 17:00:00 Omer Akram unity: milestone 4.28.0 4.30.0
2012-01-06 02:37:20 Daniel van Vugt compiz-grid-plugin: status New Confirmed
2012-01-06 02:37:27 Daniel van Vugt compiz-grid-plugin: importance Undecided High
2012-01-06 02:37:41 Daniel van Vugt compiz-grid-plugin: assignee Sam Spilsbury (smspillaz)
2012-01-06 02:45:27 Daniel van Vugt bug added subscriber Daniel van Vugt
2012-02-05 08:43:46 Daniel van Vugt affects compiz-grid-plugin compiz-plugins-main
2012-02-18 12:41:16 Felix Haller bug added subscriber Felix Haller
2012-02-19 03:15:38 Daniel van Vugt bug task added ayatana-design
2012-02-19 16:10:09 Yann Dìnendal bug added subscriber Yann Dìnendal
2012-02-20 16:24:42 John Lea description In Ubuntu 11.04 when you snapped a window to the left/right screen edges and later removed it, it returned to it's original size. In Ubuntu 11.10 it stays in the size it got when it snapped to the left/right screen edges. It should restore to it's original size like it did in Ubuntu 11.04, there is no point in it staying in the size it got when snapped, it's just awkward. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: unity 4.22.0-0ubuntu3 ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4 Uname: Linux 3.0.0-12-generic i686 ApportVersion: 1.23-0ubuntu3 Architecture: i386 CompizPlugins: [core,bailer,detection,composite,opengl,decor,compiztoolbox,resize,regex,gnomecompat,move,animation,snap,vpswitch,mousepoll,wall,grid,imgpng,place,expo,workarounds,fade,unitymtgrabhandles,session,ezoom,scale,unityshell] Date: Wed Oct 19 23:18:45 2011 InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012) SourcePackage: unity UpgradeStatus: No upgrade log present (probably fresh install) In Ubuntu 11.04 when you snapped a window to the left/right screen edges and later removed it, it returned to it's original size. In Ubuntu 11.10 it stays in the size it got when it snapped to the left/right screen edges. It should restore to it's original size like it did in Ubuntu 11.04, there is no point in it staying in the size it got when snapped, it's just awkward. --------------------------------- window management - Restoring a semi-maximised window by dragging the title bar downwards restores the window into the wrong shape and position To Reproduce: 1. Semi-maximise a window 2. Try to restore the window by dragging the title bar of the semi-maximised window downwards What currently incorrectly happens: - The window shifts to the restored state but remains the same size and shape as when it was semi-maximised. The window also gets disconnected from the pointer and shifts downwards. See attached screencast "semimaximise_restore_issue.ogv" for a demonstration. What should happen: - When a window is restored it should return to the exact same size and shape as it was before it was semi-maximised or maximised. - If a window is restored by dragging the title bar downwards with the pointer, after the window snaps out of the maximsed state, the window title bar should remain locked to the pointer until the drag is released. - If a window is restored by clicking the 'restore' window decoration or by using a keyboard shortcut, the window should be restored to the exact position it was before it was maximised or semi-maximised
2012-02-20 16:24:50 John Lea tags apport-bug i386 oneiric running-unity apport-bug i386 oneiric running-unity udp
2012-02-20 16:24:55 John Lea ayatana-design: assignee John Lea (johnlea)
2012-02-20 16:24:57 John Lea ayatana-design: importance Undecided Critical
2012-02-20 16:25:00 John Lea ayatana-design: status New Fix Committed
2012-02-20 16:26:00 John Lea summary Regression: snap to screen edges to view two windows side by side doesn't restore window size correctly Regression, Window management - Restoring a semi-maximised window by dragging the title bar downwards restores the window into the wrong shape and position
2012-02-22 04:22:56 Sam Spilsbury unity: assignee Sam Spilsbury (smspillaz)
2012-04-16 15:32:42 John Lea unity: milestone 4.30.0 backlog
2012-04-17 01:41:37 Daniel van Vugt bug task added compiz-grid-plugin
2012-04-17 01:41:45 Daniel van Vugt compiz-grid-plugin: status New Confirmed
2012-04-17 03:43:01 Daniel van Vugt summary Regression, Window management - Restoring a semi-maximised window by dragging the title bar downwards restores the window into the wrong shape and position Restoring a grid-placed window by dragging the title bar downwards restores the window into the wrong shape and position
2012-04-17 03:45:32 Daniel van Vugt summary Restoring a grid-placed window by dragging the title bar downwards restores the window into the wrong shape and position Restoring a grid-placed window by dragging the title bar downwards does not restore the original window shade
2012-04-17 03:46:04 Daniel van Vugt summary Restoring a grid-placed window by dragging the title bar downwards does not restore the original window shade Restoring a grid-placed window by dragging the title bar downwards does not restore the original window shape
2012-04-17 03:47:24 Daniel van Vugt description In Ubuntu 11.04 when you snapped a window to the left/right screen edges and later removed it, it returned to it's original size. In Ubuntu 11.10 it stays in the size it got when it snapped to the left/right screen edges. It should restore to it's original size like it did in Ubuntu 11.04, there is no point in it staying in the size it got when snapped, it's just awkward. --------------------------------- window management - Restoring a semi-maximised window by dragging the title bar downwards restores the window into the wrong shape and position To Reproduce: 1. Semi-maximise a window 2. Try to restore the window by dragging the title bar of the semi-maximised window downwards What currently incorrectly happens: - The window shifts to the restored state but remains the same size and shape as when it was semi-maximised. The window also gets disconnected from the pointer and shifts downwards. See attached screencast "semimaximise_restore_issue.ogv" for a demonstration. What should happen: - When a window is restored it should return to the exact same size and shape as it was before it was semi-maximised or maximised. - If a window is restored by dragging the title bar downwards with the pointer, after the window snaps out of the maximsed state, the window title bar should remain locked to the pointer until the drag is released. - If a window is restored by clicking the 'restore' window decoration or by using a keyboard shortcut, the window should be restored to the exact position it was before it was maximised or semi-maximised This bug is now just about failing to restore the original window size (width is the main problem). The issue with the mouse pointer separating from the title bar is bug 886192. ORIGINAL DESCRIPTION: In Ubuntu 11.04 when you snapped a window to the left/right screen edges and later removed it, it returned to it's original size. In Ubuntu 11.10 it stays in the size it got when it snapped to the left/right screen edges. It should restore to it's original size like it did in Ubuntu 11.04, there is no point in it staying in the size it got when snapped, it's just awkward. --------------------------------- window management - Restoring a semi-maximised window by dragging the title bar downwards restores the window into the wrong shape and position To Reproduce: 1. Semi-maximise a window 2. Try to restore the window by dragging the title bar of the semi-maximised window downwards What currently incorrectly happens: - The window shifts to the restored state but remains the same size and shape as when it was semi-maximised. The window also gets disconnected from the pointer and shifts downwards. See attached screencast "semimaximise_restore_issue.ogv" for a demonstration. What should happen: - When a window is restored it should return to the exact same size and shape as it was before it was semi-maximised or maximised. - If a window is restored by dragging the title bar downwards with the pointer, after the window snaps out of the maximsed state, the window title bar should remain locked to the pointer until the drag is released. - If a window is restored by clicking the 'restore' window decoration or by using a keyboard shortcut, the window should be restored to the exact position it was before it was maximised or semi-maximised
2012-04-17 03:48:14 Daniel van Vugt summary Restoring a grid-placed window by dragging the title bar downwards does not restore the original window shape Restoring a grid-placed window by dragging the title bar downwards does not restore the original window width
2012-04-17 08:44:55 Otus bug added subscriber Otus
2012-04-28 00:23:50 Alex Leone bug added subscriber Alex Leone
2012-05-02 20:10:43 Ian KP bug added subscriber Ian KP
2012-05-04 18:20:15 Daniel van Vugt compiz-plugins-main: milestone 0.9.7.4
2012-05-18 08:09:29 Sam Spilsbury compiz: importance Undecided High
2012-05-18 08:09:29 Sam Spilsbury compiz: status New Confirmed
2012-05-18 08:09:29 Sam Spilsbury compiz: assignee Sam Spilsbury (smspillaz)
2012-05-18 08:14:54 Sam Spilsbury compiz: importance High Undecided
2012-05-18 08:37:27 Sam Spilsbury compiz: importance Undecided High
2012-05-18 08:43:02 Sam Spilsbury compiz: importance High Undecided
2012-06-01 16:34:59 Launchpad Janitor compiz (Ubuntu): status New Confirmed
2012-06-05 05:41:56 Daniel van Vugt compiz: milestone 0.9.8.0
2012-06-05 05:43:53 Daniel van Vugt compiz: importance Undecided Medium
2012-06-05 05:43:57 Daniel van Vugt compiz-grid-plugin: importance Undecided Medium
2012-06-05 05:44:02 Daniel van Vugt compiz-plugins-main: importance High Medium
2012-06-05 05:44:13 Daniel van Vugt bug task deleted unity
2012-06-05 05:44:21 Daniel van Vugt bug task deleted unity (Ubuntu)
2012-06-05 05:44:30 Daniel van Vugt compiz (Ubuntu): importance Undecided Medium
2012-06-05 05:44:34 Daniel van Vugt compiz-plugins-main (Ubuntu): importance High Medium
2012-06-14 06:47:46 Stéphane Guillou bug added subscriber Stéphane Guillou
2012-07-04 14:21:27 Stéphane Guillou description This bug is now just about failing to restore the original window size (width is the main problem). The issue with the mouse pointer separating from the title bar is bug 886192. ORIGINAL DESCRIPTION: In Ubuntu 11.04 when you snapped a window to the left/right screen edges and later removed it, it returned to it's original size. In Ubuntu 11.10 it stays in the size it got when it snapped to the left/right screen edges. It should restore to it's original size like it did in Ubuntu 11.04, there is no point in it staying in the size it got when snapped, it's just awkward. --------------------------------- window management - Restoring a semi-maximised window by dragging the title bar downwards restores the window into the wrong shape and position To Reproduce: 1. Semi-maximise a window 2. Try to restore the window by dragging the title bar of the semi-maximised window downwards What currently incorrectly happens: - The window shifts to the restored state but remains the same size and shape as when it was semi-maximised. The window also gets disconnected from the pointer and shifts downwards. See attached screencast "semimaximise_restore_issue.ogv" for a demonstration. What should happen: - When a window is restored it should return to the exact same size and shape as it was before it was semi-maximised or maximised. - If a window is restored by dragging the title bar downwards with the pointer, after the window snaps out of the maximsed state, the window title bar should remain locked to the pointer until the drag is released. - If a window is restored by clicking the 'restore' window decoration or by using a keyboard shortcut, the window should be restored to the exact position it was before it was maximised or semi-maximised This bug is now just about failing to restore the original window size (width is the main problem). The issue with the mouse pointer separating from the title bar is bug 201681. ORIGINAL DESCRIPTION: In Ubuntu 11.04 when you snapped a window to the left/right screen edges and later removed it, it returned to it's original size. In Ubuntu 11.10 it stays in the size it got when it snapped to the left/right screen edges. It should restore to it's original size like it did in Ubuntu 11.04, there is no point in it staying in the size it got when snapped, it's just awkward. --------------------------------- window management - Restoring a semi-maximised window by dragging the title bar downwards restores the window into the wrong shape and position To Reproduce: 1. Semi-maximise a window 2. Try to restore the window by dragging the title bar of the semi-maximised window downwards What currently incorrectly happens: - The window shifts to the restored state but remains the same size and shape as when it was semi-maximised. The window also gets disconnected from the pointer and shifts downwards. See attached screencast "semimaximise_restore_issue.ogv" for a demonstration. What should happen: - When a window is restored it should return to the exact same size and shape as it was before it was semi-maximised or maximised. - If a window is restored by dragging the title bar downwards with the pointer, after the window snaps out of the maximsed state, the window title bar should remain locked to the pointer until the drag is released. - If a window is restored by clicking the 'restore' window decoration or by using a keyboard shortcut, the window should be restored to the exact position it was before it was maximised or semi-maximised
2012-07-10 13:49:50 John Lea compiz (Ubuntu): importance Medium High
2012-07-10 13:49:53 John Lea compiz-plugins-main (Ubuntu): importance Medium High
2012-07-10 13:50:02 John Lea compiz (Ubuntu): status Confirmed Triaged
2012-07-10 13:50:03 John Lea compiz-plugins-main (Ubuntu): status Confirmed Triaged
2012-07-10 13:51:45 John Lea description This bug is now just about failing to restore the original window size (width is the main problem). The issue with the mouse pointer separating from the title bar is bug 201681. ORIGINAL DESCRIPTION: In Ubuntu 11.04 when you snapped a window to the left/right screen edges and later removed it, it returned to it's original size. In Ubuntu 11.10 it stays in the size it got when it snapped to the left/right screen edges. It should restore to it's original size like it did in Ubuntu 11.04, there is no point in it staying in the size it got when snapped, it's just awkward. --------------------------------- window management - Restoring a semi-maximised window by dragging the title bar downwards restores the window into the wrong shape and position To Reproduce: 1. Semi-maximise a window 2. Try to restore the window by dragging the title bar of the semi-maximised window downwards What currently incorrectly happens: - The window shifts to the restored state but remains the same size and shape as when it was semi-maximised. The window also gets disconnected from the pointer and shifts downwards. See attached screencast "semimaximise_restore_issue.ogv" for a demonstration. What should happen: - When a window is restored it should return to the exact same size and shape as it was before it was semi-maximised or maximised. - If a window is restored by dragging the title bar downwards with the pointer, after the window snaps out of the maximsed state, the window title bar should remain locked to the pointer until the drag is released. - If a window is restored by clicking the 'restore' window decoration or by using a keyboard shortcut, the window should be restored to the exact position it was before it was maximised or semi-maximised This bug is now just about failing to restore the original window size (width is the main problem). The issue with the mouse pointer separating from the title bar is bug 201681. ORIGINAL DESCRIPTION: In Ubuntu 11.04 when you snapped a window to the left/right screen edges and later removed it, it returned to it's original size. In Ubuntu 11.10 it stays in the size it got when it snapped to the left/right screen edges. It should restore to it's original size like it did in Ubuntu 11.04, there is no point in it staying in the size it got when snapped, it's just awkward. --------------------------------- window management - Restoring a semi-maximised window by dragging the title bar downwards restores the window into the wrong shape and position To Reproduce: 1. Semi-maximise a window 2. Try to restore the window by dragging the title bar of the semi-maximised window downwards ----What currently incorrectly happens---- - The window shifts to the restored state but remains the same size and shape as when it was semi-maximised. The window also gets disconnected from the pointer and shifts downwards. See attached screencast "semimaximise_restore_issue.ogv" for a demonstration. - Note this also happens when a semi-maximised window is restored by clicking on the 'restore' window decoration button in the window title bar ----What should happen---- - When a window is restored it should return to the exact same size and shape as it was before it was semi-maximised or maximised. - If a window is restored by dragging the title bar downwards with the pointer, after the window snaps out of the maximsed state, the window title bar should remain locked to the pointer until the drag is released. - If a window is restored by clicking the 'restore' window decoration or by using a keyboard shortcut, the window should be restored to the exact position it was before it was maximised or semi-maximised
2012-08-23 05:27:56 Daniel van Vugt compiz: milestone 0.9.8.0 0.9.8.1
2012-08-23 08:37:55 John Lea summary Restoring a grid-placed window by dragging the title bar downwards does not restore the original window width Window management - Restoring a grid-placed window by dragging the title bar downwards does not restore the original window width
2012-09-10 06:32:38 Sam Spilsbury compiz: milestone 0.9.8.2 0.9.8.4
2012-09-28 05:03:34 Daniel van Vugt compiz: milestone 0.9.8.4 0.9.9.0
2012-10-10 16:03:36 John Lea compiz: importance Medium High
2012-10-10 16:03:39 John Lea compiz-grid-plugin: importance Medium High
2012-10-10 16:03:40 John Lea compiz-plugins-main: importance Medium High
2012-10-10 16:03:43 John Lea compiz: status Confirmed Triaged
2012-10-10 16:03:45 John Lea compiz-grid-plugin: status Confirmed Triaged
2012-10-10 16:03:47 John Lea compiz-plugins-main: status Confirmed Triaged
2012-11-29 03:34:25 Daniel van Vugt compiz-plugins-main: milestone 0.9.7.4
2012-12-06 14:09:20 Stephen M. Webb compiz (Ubuntu): assignee Sam Spilsbury (smspillaz)
2012-12-12 09:50:22 Andrea Azzarone compiz: assignee Sam Spilsbury (smspillaz) Andrea Azzarone (andyrock)
2012-12-12 09:50:28 Andrea Azzarone compiz (Ubuntu): assignee Sam Spilsbury (smspillaz) Andrea Azzarone (andyrock)
2012-12-12 09:50:33 Andrea Azzarone compiz: status Triaged In Progress
2012-12-12 09:50:37 Andrea Azzarone compiz (Ubuntu): status Triaged In Progress
2012-12-19 22:53:37 Andrea Azzarone compiz (Ubuntu): status In Progress Confirmed
2012-12-19 22:53:40 Andrea Azzarone compiz: status In Progress Triaged
2013-01-20 12:44:14 Launchpad Janitor branch linked lp:~sampo555/compiz/fix-878516
2013-01-22 03:11:22 Daniel van Vugt compiz: assignee Andrea Azzarone (andyrock) sampo555 (sampo555)
2013-01-22 03:11:29 Daniel van Vugt compiz: status Triaged In Progress
2013-01-22 03:11:32 Daniel van Vugt compiz (Ubuntu): status Confirmed In Progress
2013-01-22 03:11:41 Daniel van Vugt compiz (Ubuntu): assignee Andrea Azzarone (andyrock) sampo555 (sampo555)
2013-01-22 03:12:10 Daniel van Vugt nominated for series compiz/0.9.8
2013-01-22 03:12:10 Daniel van Vugt bug task added compiz/0.9.8
2013-01-22 03:12:24 Daniel van Vugt compiz/0.9.8: status New Triaged
2013-01-22 03:12:27 Daniel van Vugt compiz/0.9.8: importance Undecided High
2013-01-22 03:12:36 Daniel van Vugt compiz/0.9.8: milestone 0.9.8.8
2013-01-23 11:47:14 PS Jenkins bot compiz: status In Progress Fix Committed
2013-01-24 01:13:06 Daniel van Vugt compiz (Ubuntu): status In Progress Fix Committed
2013-01-24 11:52:26 Daniel van Vugt compiz: status Fix Committed Fix Released
2013-01-25 17:54:12 Launchpad Janitor compiz (Ubuntu): status Fix Committed Fix Released
2013-02-08 15:42:50 Andrea Corbellini bug added subscriber Andrea Corbellini
2013-11-06 10:42:11 Otus removed subscriber Otus
2014-11-18 19:01:11 Stephen M. Webb compiz/0.9.8: status Triaged Won't Fix
2014-11-18 19:01:16 Stephen M. Webb compiz/0.9.8: milestone 0.9.8.8